Retrieve fulfillment data for orders
curl --request POST \
--url https://api.sandbox.immutable.com/v1/chains/{chain_name}/orders/fulfillment-data \
--header 'Content-Type: application/json' \
--data '
[
{
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taker_address": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266",
"fees": [
{
"type": "TAKER_ECOSYSTEM",
"amount": "2250000000000000000",
"recipient_address": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92233"
}
],
"token_id": "123"
}
]
'import requests
url = "https://api.sandbox.immutable.com/v1/chains/{chain_name}/orders/fulfillment-data"
payload = [
{
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taker_address": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266",
"fees": [
{
"type": "TAKER_ECOSYSTEM",
"amount": "2250000000000000000",
"recipient_address": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92233"
}
],
"token_id": "123"
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
order_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
taker_address: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266',
fees: [
{
type: 'TAKER_ECOSYSTEM',
amount: '2250000000000000000',
recipient_address: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92233'
}
],
token_id: '123'
}
])
};
fetch('https://api.sandbox.immutable.com/v1/chains/{chain_name}/orders/fulfillment-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"fulfillable_orders": [
{
"order": {
"account_address": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266",
"buy": [
{
"type": "NATIVE",
"amount": "9750000000000000000",
"contract_address": "0x0165878A594ca255338adfa4d48449f69242Eb8F"
}
],
"fees": [],
"chain": {
"id": "eip155:11155111",
"name": "sepolia"
},
"created_at": "2022-03-07T07:20:50.52Z",
"end_at": "2022-03-10T05:00:50.52Z",
"id": "018792C9-4AD7-8EC4-4038-9E05C598534A",
"protocol_data": {
"order_type": "FULL_RESTRICTED",
"counter": "1",
"zone_address": "0x12",
"seaport_address": "0x12",
"seaport_version": "1.4"
},
"salt": "12686911856931635052326433555881236148",
"sell": [
{
"type": "ERC721",
"contract_address": "0x692edAd005237c7E737bB2c0F3D8ccCc10D3479E",
"token_id": "1"
}
],
"signature": "0x",
"start_at": "2022-03-09T05:00:50.52Z",
"status": {
"name": "ACTIVE"
},
"fill_status": {
"numerator": 1,
"denominator": 2
},
"type": "LISTING",
"updated_at": "2022-03-07T07:20:50.52Z"
},
"extra_data": "<string>",
"token_id": "123"
}
],
"unfulfillable_orders": [
{
"order_id": "7df3e99e-f7b3-459c-bef6-ffb66a18bb59",
"reason": "Invalid order status INACTIVE for order 7df3e99e-f7b3-459c-bef6-ffb66a18bb59",
"token_id": "123"
}
]
}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "VALIDATION_ERROR",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "RESOURCE_NOT_FOUND",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "INTERNAL_SERVER_ERROR",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "SERVICE_UNAVAILABLE",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "GATEWAY_TIMEOUT",
"details": {}
}orders
Retrieve fulfillment data for orders
Retrieve signed fulfillment data based on the list of order IDs and corresponding fees.
POST
/
v1
/
chains
/
{chain_name}
/
orders
/
fulfillment-data
Retrieve fulfillment data for orders
Path Parameters
The name of chain
Example:
"imtbl-zkevm-testnet"
Body
application/json
Address of the intended account fulfilling the order
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266"
Maximum array length:
2Show child attributes
Show child attributes
Example:
[
{
"type": "TAKER_ECOSYSTEM",
"amount": "2250000000000000000",
"recipient_address": "0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92233"
}
]
Token ID for the ERC721 or ERC1155 token when fulfilling a collection order
Pattern:
\d+Example:
"123"
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I